<phpunit
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="vendor/phpunit/phpunit/phpunit.xsd"
        bootstrap="web/core/tests/bootstrap.php"
        colors="true"
        beStrictAboutTestsThatDoNotTestAnything="true"
        beStrictAboutOutputDuringTests="true"
        beStrictAboutChangesToGlobalState="true"
        convertErrorsToExceptions="true"
        convertNoticesToExceptions="true"
        convertWarningsToExceptions="true"
        printerClass="\Drupal\Tests\Listeners\HtmlOutputPrinter"
>

    <php>
        <ini name="error_reporting" value="32767"/>
        <ini name="memory_limit" value="-1"/>
        <env name="SIMPLETEST_BASE_URL" value="http://127.0.0.1:9999"/>
        <env name="SIMPLETEST_DB" value="sqlite://localhost/sites/default/files/.ht.sqlite"/>
        <env name="BROWSERTEST_OUTPUT_DIRECTORY" value="web/sites/simpletest/browser_output"/>
        <env name="MINK_DRIVER_CLASS" value=''/>
        <env name="MINK_DRIVER_ARGS" value=''/>
        <env name="MINK_DRIVER_ARGS_PHANTOMJS" value=''/>
        <env name="MINK_DRIVER_ARGS_WEBDRIVER" value='["chrome", {"browserName":"chrome","chromeOptions":{"args":["--disable-gpu", "--no-sandbox", "--headless"]}}, "http://127.0.0.1:9515"]'/>
        <env name="SYMFONY_DEPRECATIONS_HELPER" value='disabled'/>
    </php>

    <listeners>
        <listener class="Drupal\Tests\Listeners\DrupalListener" file="./web/core/tests/Drupal/Tests/Listeners/DrupalListener.php" />
        <!-- The Symfony deprecation listener has to come after the Drupal listener -->
        <listener class="Symfony\Bridge\PhpUnit\SymfonyTestsListener" />
    </listeners>

    <testsuites>
        <testsuite name="JsonFieldTools">
            <directory>./tests/src/</directory>
        </testsuite>
    </testsuites>

</phpunit>
